Subject: Re: [Patch net-next v3 9/9] selinux: use generic union inet_addr

From: Casey Schaufler <[email-masked]>
Date: Mon, 19 Aug 2013 14:42:55 -0700

On 8/19/2013 12:50 PM, David Miller wrote:
> It's so that you can pass a generic ipv4/ipv6 address blob into
> things like printf formatting, and since there is an address family
> member present, it knows what's in there and therefore one printf
> format specifier can handle both ipv4 and ipv6 addresses.

The patch message needs to say that, then.

> Like you, I think these changes a complete waste of time too, I'm just
> relaying what I was told.

Well, they certainly don't appear to add any value on their own.
I also generally oppose doing clever things with data structures.
I recently got bitten by the "obvious" relationships between
sockaddr, sockaddr_in and sockaddr_in6, and I've been doing this
stuff since before ioctl was invented.